System.Design 2.0.0.0 System.ComponentModel.Design.DesignerActionItem

The class represents individual items in a smart tag panel. An item of this type is displayed as an active user interface element, such as a hyperlink, that invokes a programmer-supplied method in a class derived from . The association between the item and the method is maintained through the value of the property. The method that this item invokes must neither take parameters nor return a value.

Individual panel items are associated together to form a panel by a call to the method of the class.

Represents a smart tag panel item that is associated with a method in a class derived from .

- Constructor
  2.0.0.0

  The constructor sets the and properties to null, and the property to false.

  Initializes a new instance of the class, with the specified method and display names.

  The that contains the method this item is associated with.
  The case-sensitive name of the method in the class derived from to invoke through the panel item.
  The panel text for this item.
- Constructor
  2.0.0.0

  If the parameter is set to true, then this item is also considered a ; therefore, it will be added to the component's design-time shortcut menu. In vsprvs, a command will also be added to the Attributes pane of the Properties window. A list of designer verbs can be accessed through the designer's collection property.

  The constructor sets the and properties to null.

  Initializes a new instance of the class, with the specified method and display names, and a flag that indicates whether the item should appear in other user interface contexts.

  The that contains the method this item is associated with.
  The case-sensitive name of the method in the class derived from to invoke through the panel item.
  The panel text for this item.
  A flag that specifies whether to also treat the associated method as a designer verb.
- Constructor
  2.0.0.0

  The constructor sets the property to null and the property to false.

  For more information about how the parameter is used to group items on a panel, see the method.

  Initializes a new instance of the class, with the specified method, display, and category names.

  The that contains the method this item is associated with.
  The case-sensitive name of the method in the class derived from to invoke through the panel item.
  The panel text for this item.
  The case-sensitive used to group similar items on the panel.
- Constructor
  2.0.0.0

  If the parameter is set to true, then the item is also considered a ; therefore, it will be added to the component's design-time shortcut menu. A list of designer verbs can be accessed through the designer's collection property.

  The constructor sets the property to null.

  For more information on how the parameter is used to group items on a panel, see the method.

  Initializes a new instance of the class, with the specified method, display, and category names, and a flag that indicates whether the item should appear in other user interface contexts.

  The that contains the method this item is associated with.
  The case-sensitive name of the method in the class derived from to invoke through the panel item.
  The panel text for this item.
  The case-sensitive used to group similar items on the panel.
  A flag that specifies whether to also treat the associated method as a designer verb for the associated component.
- Constructor
  2.0.0.0

  The constructor sets the property to false.

  For more information on how the parameter is used to group items on a panel, see the method.

  Initializes a new instance of the class, with the specified method and category names, and display and description text.

  The that contains the method this item is associated with.
  The case-sensitive name of the method in the class derived from to invoke through the panel item.
  The panel text for this item.
  The case-sensitive used to group similar items on the panel.
  Supplemental text for this item, used in ToolTips or the status bar.
- Constructor
  2.0.0.0

  If the parameter is set to true, then this item is also considered a ; therefore, it will be added to the component's design-time shortcut menu. A list of designer verbs can be accessed through the designer's collection property.

  For more information about how the parameter is used to group items on a panel, see the method.

  Initializes a new instance of the class, with the specified method and category names, display and description text, and a flag that indicates whether the item should appear in other user interface contexts.

  The that contains the method this item is associated with.
  The case-sensitive name of the method in the class derived from to invoke through the panel item.
  The panel text for this item.
  The case-sensitive used to group similar items on the panel.
  Supplemental text for this item, used in ToolTips or the status bar.
  A flag that specifies whether to also treat the associated method as a designer verb for the associated component.
- Property
  2.0.0.0
  System.Boolean To be added.

  If the property is set to true, then the item is also considered a ; therefore, it will be added to the component's design-time shortcut menu. A list of designer verbs can be accessed through the designer's collection property.

  The value of the property is set in the constructor for this class.

  Gets a value that indicates the should appear in other user interface contexts.

- Method
  2.0.0.0
  System.Void

  If the property is initialized to true, the associated method can also be invoked through the corresponding designer verb event.

  Programmatically executes the method associated with the .

- Property
  2.0.0.0
  System.String To be added.

  The property specifies which property, in the class derived from the class, that the item should be bound to. When the programmer interacts with the panel item through the user interface (UI), this associated property will be set.

  The bound method should neither take parameters nor return a value.

  This property is set in the constructor. It is case-sensitive.

  Gets the name of the method that this is associated with.

- Property
  2.0.0.0
  System.ComponentModel.IComponent To be added.

  The property allows another component to lend its smart tag panel items to the current list. For example, a user control might aggregate the items from one of its constituent standard controls.

  This property works in conjunction with the property.

  Gets or sets a component that contributes its objects to the current panel.